variable "client_secret" {
  description = "Required: OIDC Client secret for Hashicorp Vault"
  type        = string
}

variable "client_id" {
  description = "Required: OIDC Client ID for Hashicorp Vault"
}

variable "discovery_url" {
  description = "OIDC Discovery endpoint"
  type        = string
  default     = "https://keycloak.fqdn.com/auth/realms/master"
}

variable "authorized_redirects" {
  description = "List of authorized redirects for Okta OIDC"
  type        = list(string)
  default     = ["http://localhost:8250/oidc/callback", "https://[[YOUR_VAULT_ADDR]]/ui/vault/auth/oidc/oidc/callback"]
}
